#ifndef FMPLIB_H
#define FMPLIB_H

void fm_init(void);
void fm_tini(void);
void seqbuf_dump(void);
int error(char*);

void fm_trackstart(void);
void fm_noteon(int chan,int pitch,int vol);
void fm_noteoff(int chan,int pitch,int vol);
void fm_program(int chan,int program);
#ifdef DEBUG
void fm_pressure(int chan,int pitch,int press);
void fm_parameter(int chan,int control,int value);
void fm_pitchbend(int chan,int msb,int lsb);
void fm_chanpressure(int chan,int press);
void fm_sysex(int leng,char *mess);
void fm_metamisc(int type,int leng,char *mess);
void fm_metaspecial(int type,int leng,char *mess);
void fm_metatext(int type,int leng,char *mess);
void fm_metaseq(int num);
void fm_metaeot(void);
void fm_keysig(int sf,int mi);
void fm_tempo(long ltempo);
void fm_timesig(int nn,int dd,int cc,int bb);
void fm_smpte(int hr,int mn,int se,int fr,int ff);
void fm_arbitrary(int leng,char *mess);
void fm_trackend(void);
#endif

/* private */
void midich(char);
void timestamp(void);
void midisync(void);
void wr_len(int,unsigned long);
void wr_int(int,unsigned long);
/* FILE *efopen(char*,char*); */

#endif /* FMPLIB_H */
